<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlFrameApplyCfg_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlFrameApplyCfg_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Frame config API parameters.  
 <a href="structrl_frame_apply_cfg__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/include/rl_sensor.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a464a20c1e431a4557aaedf550bf32d9a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a464a20c1e431a4557aaedf550bf32d9a"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_frame_apply_cfg__t.html#a464a20c1e431a4557aaedf550bf32d9a">numChirps</a></td></tr>
<tr class="memdesc:a464a20c1e431a4557aaedf550bf32d9a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of Chirps per Frame. <br /></td></tr>
<tr class="separator:a464a20c1e431a4557aaedf550bf32d9a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a33ad6900547e7e29f63196ae8abb46ab"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a33ad6900547e7e29f63196ae8abb46ab"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_frame_apply_cfg__t.html#a33ad6900547e7e29f63196ae8abb46ab">numAdcSamples</a></td></tr>
<tr class="memdesc:a33ad6900547e7e29f63196ae8abb46ab"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of half words in ADC buffer per chirp <br />
 Example 1: In real mode, if number of ADC samples per chirp is 256 then this <br />
 value will be 256 <br />
 Example 2: In complex1x or complex2x modes,if number of ADC samples per chirp <br />
 is 256 then this value will be 512 <br />
. <br /></td></tr>
<tr class="separator:a33ad6900547e7e29f63196ae8abb46ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1b37146676241b6679287181862136d8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1b37146676241b6679287181862136d8"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_frame_apply_cfg__t.html#a1b37146676241b6679287181862136d8">reserved</a></td></tr>
<tr class="memdesc:a1b37146676241b6679287181862136d8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a1b37146676241b6679287181862136d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Frame config API parameters. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/include/rl_sensor.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
